Rated Movies
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/rated/movies'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/rated/movies"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/rated/movies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/2C4js9DGb3GzoZeef1ZzhSGLXRO.jpg",
"genre_ids": [
10749,
18
],
"id": 1156593,
"original_language": "es",
"original_title": "Culpa tuya",
"overview": "The love between Noah and Nick seems unwavering despite their parents' attempts to separate them. But his job and her entry into college open up their lives to new relationships that will shake the foundations of both their relationship and the Leister family itself.",
"popularity": 5236.256,
"poster_path": "/1sQA7lfcF9yUyoLYC0e6Zo3jmxE.jpg",
"rating": 6,
"release_date": "2024-12-26",
"title": "Your Fault",
"video": false,
"vote_average": 7.112,
"vote_count": 579
}
],
"total_pages": 1,
"total_results": 1
}Account
Rated Movies
Get a users list of rated movies.
GET
/
3
/
account
/
{account_id}
/
rated
/
movies
Rated Movies
Path Parameters
Query Parameters
Example:
"en-US"
Example:
"1"
Example:
"created_at.asc"
Response
200 - application/json
R_Movies
Example:
1
Show child attributes
Show child attributes
Example:
[ { "adult": false, "backdrop_path": "/2C4js9DGb3GzoZeef1ZzhSGLXRO.jpg", "genre_ids": [10749, 18], "id": 1156593, "original_language": "es", "original_title": "Culpa tuya", "overview": "The love between Noah and Nick seems unwavering despite their parents' attempts to separate them. But his job and her entry into college open up their lives to new relationships that will shake the foundations of both their relationship and the Leister family itself.", "popularity": 5236.256, "poster_path": "/1sQA7lfcF9yUyoLYC0e6Zo3jmxE.jpg", "rating": 6, "release_date": "2024-12-26", "title": "Your Fault", "video": false, "vote_average": 7.112, "vote_count": 579 } ]
Example:
1
Example:
1